cat $1.ref |  awk '{printf("%s ",$1)}' >! $1.names

frm -r TitrationCurves TitrationPictures tmp
mkdir TitrationCurves TitrationPictures tmp

#get all the curves
foreach i (`cat $1.names`)
    echo $i
    grep Protonation $1.csmt-out | grep "$i  "    | awk '{print($3, $4, $6)}'>!  TitrationCurves/$i.dat
end


# now make the graphs with GMT
gmtset \
  PAGE_ORIENTATION      portrait \
  COLOR_MODEL           rgb \
  FRAME_PEN             1p \
  TICK_PEN              1p \
  LABEL_FONT_SIZE       18p \
  DOTS_PR_INCH          600

# create a color palette table (cpt) file
echo "-0.1   255   0   0         0  255   0   0" >! palette.cpt     # red    -> red
echo "   0   255   0   0      0.25  255 255   0" >> palette.cpt     # red    -> yellow
echo " 0.25 255 255   0       0.5    25 187  25" >> palette.cpt     # yellow -> green
echo " 0.5   25 187  25       0.75    0 255 255" >> palette.cpt     # green  -> cyan
echo " 0.75   0 255 255       1.0     0   0 255" >> palette.cpt     # cyan   -> blue
echo " 1.0    0   0 255       1.1     0   0 255" >> palette.cpt     # blue   -> blue



foreach i (`cat $1.names`)
    echo $i
    xyz2grd   TitrationCurves/$i.dat -R-1.0/14.0/-700.0/700.0 -I0.2/20.0 -Gtmp/$i.grd
    grdsample tmp/$i.grd -Gtmp/$i-2.grd -I0.02/0.2
    grdimage tmp/$i-2.grd \
        -Cpalette.cpt \
        -JX5i/5i \
        -Ba2f1:"pH":/a100f50:"E[mV]":WeSn \
        >! TitrationPictures/$i.ps
    gv TitrationPictures/$i.ps
end 


